GNU bug report logs - #16242
24.3; wish: set init directory (.emacs.d) by commandline flag for easy custom environments

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: arne_bab@HIDDEN; dated Tue, 24 Dec 2013 15:48:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16242 <at> debbugs.gnu.org:


Received: (at 16242) by debbugs.gnu.org; 15 Aug 2019 23:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 19:13:56 2019
Received: from localhost ([127.0.0.1]:52643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyOwO-0005nv-9B
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 19:13:56 -0400
Received: from quimby.gnus.org ([80.91.231.51]:48940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hyOwL-0005nl-Lk
 for 16242 <at> debbugs.gnu.org; Thu, 15 Aug 2019 19:13:54 -0400
Received: from [50.225.213.182] (helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hyOwD-0007vo-M8; Fri, 16 Aug 2019 01:13:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#16242: 24.3; wish: set init directory (.emacs.d) by
 commandline flag for easy custom environments
References: <87ppom45ge.wl%arne_bab@HIDDEN> <87k1bf6us6.fsf@HIDDEN>
 <uvwoffawp1.fsf@HIDDEN> <878srv2gl6.fsf@HIDDEN>
 <85ftm2lcxl.fsf@HIDDEN>
Date: Thu, 15 Aug 2019 16:13:42 -0700
In-Reply-To: <85ftm2lcxl.fsf@HIDDEN> (Noam Postavsky's message of "Thu, 15
 Aug 2019 10:29:26 -0400")
Message-ID: <871rxmuimx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Noam Postavsky <npostavs@HIDDEN> writes: > Furthermore,
 we're currently looking at setting user-emacs-directory > according to XDG
 in master ([1] or [2]), so I think we've accepted the > maintenance complexity
 this might bring anyway. > > [1 [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16242
Cc: Glenn Morris <rgm@HIDDEN>, Arne Babenhauserheide <arne_bab@HIDDEN>,
 16242 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> Furthermore, we're currently looking at setting user-emacs-directory
> according to XDG in master ([1] or [2]), so I think we've accepted the
> maintenance complexity this might bring anyway.
>
> [1]: https://lists.gnu.org/archive/html/emacs-devel/2019-06/msg00154.html
> [2]: https://lists.gnu.org/archive/html/emacs-devel/2019-07/msg00699.html

Ah, I see.  So I think the XDG patch should go in first, and then adding
--init-dir should be pretty trivial.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16242; Package emacs. Full text available.

Message received at 16242 <at> debbugs.gnu.org:


Received: (at 16242) by debbugs.gnu.org; 15 Aug 2019 14:45:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 10:45:03 2019
Received: from localhost ([127.0.0.1]:52151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyGzv-0002AU-Io
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 10:45:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hyGzu-00028l-CH
 for 16242 <at> debbugs.gnu.org; Thu, 15 Aug 2019 10:45:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48752)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hyGzp-0005L3-04; Thu, 15 Aug 2019 10:44:57 -0400
Received: from [176.228.60.248] (port=2699 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hyGzn-00049h-Oi; Thu, 15 Aug 2019 10:44:56 -0400
Date: Thu, 15 Aug 2019 17:44:48 +0300
Message-Id: <83d0h6qyhr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <878srv2gl6.fsf@HIDDEN> (message from Lars Ingebrigtsen
 on Wed, 14 Aug 2019 21:33:09 -0700)
Subject: Re: bug#16242: 24.3;
 wish: set init directory (.emacs.d) by commandline flag for easy
 custom environments
References: <87ppom45ge.wl%arne_bab@HIDDEN> <87k1bf6us6.fsf@HIDDEN>
 <uvwoffawp1.fsf@HIDDEN> <878srv2gl6.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16242
Cc: rgm@HIDDEN, arne_bab@HIDDEN, 16242 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 14 Aug 2019 21:33:09 -0700
> Cc: Arne Babenhauserheide <arne_bab@HIDDEN>, 16242 <at> debbugs.gnu.org
> 
> > See https://debbugs.gnu.org/15539
> 
> I see.  So the general consensus there seemed to be that this could add
> some possible maintenance complexity, and that there wasn't really a use
> case presented.
> 
> This report does add a use case.

The XDG support has been added meanwhile, btw.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16242; Package emacs. Full text available.

Message received at 16242 <at> debbugs.gnu.org:


Received: (at 16242) by debbugs.gnu.org; 15 Aug 2019 14:29:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 10:29:46 2019
Received: from localhost ([127.0.0.1]:52114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyGl8-0001in-15
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 10:29:46 -0400
Received: from mail-ot1-f48.google.com ([209.85.210.48]:41681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hyGl6-0001iZ-Lk
 for 16242 <at> debbugs.gnu.org; Thu, 15 Aug 2019 10:29:44 -0400
Received: by mail-ot1-f48.google.com with SMTP id o101so6236717ota.8
 for <16242 <at> debbugs.gnu.org>; Thu, 15 Aug 2019 07:29:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=W2vvVeDAIaMFdXK6rKWHnuSpFW1laX6A8ZrRgzRHafc=;
 b=mnzKG//eiuxbKRQfMHEFRAtnwSl3ozNmi0QDo/1EjbO4sNfAv/rJaadYEcFMfNoc7c
 zMhFkHs50kalTiubFvA5ncoFUjfAfSEJT4xW94+P/2gYID3gS+ZYuo0pUFE0zY42RO65
 R9jDb5rvaxofxdntss9zN2pwsapuaS/qSoTwuzLspX/mpRTdHBxcJyoN20KDfi7M+3e8
 60ss32v3RpSmt4bPUU2f/B+/CgaLPZbCfVt3ChhZXB2oNzPcnrDsHN5yUtBXmR9oJul4
 u+gHsp1T4L7fZFazOOzPLkacS0shkodhELubSjR7fdjPlZmAPSTg8PP0jzH4q4VTUkvu
 LVFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=W2vvVeDAIaMFdXK6rKWHnuSpFW1laX6A8ZrRgzRHafc=;
 b=hxgUVcArEf6vnEE1QYclfbUjyJUEAd4BoSRff/Wm/KTf+mUGSK/PCp+TOxBIRPKZm4
 82k909rU9FTnu3JAZlvnTOSZISW+C00pmRo1OIvRC4pydF5ltCcHSUTPMbKaa24zXzAk
 CGtHxq5tVVfm7lIQFMByP8rMu/M2YqULDcSc1gvXT1QdpkV1Ww4bacu22FRf04z6oqeT
 PUMY/vEAEUaXfam3IwvpeY4WY81JcYbcxthY5T3xBe96inALfvluGd3VrrrFeU0VSY0b
 6BbvbrgK9231hZRygCDZ9iGtnsJDTB+JtK0MgLojFntw8LtzlNEPDedDWNI4AwWi1Og4
 e/Qg==
X-Gm-Message-State: APjAAAVSWIyjXj/IQ/JtZHK/FX/D+HbwEHL/4x2CvVySVqxf6zJi3WAA
 jKnyQya29A4Uab536TzL58clrntC
X-Google-Smtp-Source: APXvYqw5CQJCU6f8RUNvJ9mLGvttkllXO18yBXCdcDgqD8rjQXEnODxANx9tPVU8lGk5qoLRL6bE4Q==
X-Received: by 2002:a6b:5a12:: with SMTP id o18mr5162579iob.159.1565879379094; 
 Thu, 15 Aug 2019 07:29:39 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id h18sm2154950iob.80.2019.08.15.07.29.38
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 15 Aug 2019 07:29:38 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16242: 24.3;
 wish: set init directory (.emacs.d) by commandline flag for easy
 custom environments
References: <87ppom45ge.wl%arne_bab@HIDDEN> <87k1bf6us6.fsf@HIDDEN>
 <uvwoffawp1.fsf@HIDDEN> <878srv2gl6.fsf@HIDDEN>
Date: Thu, 15 Aug 2019 10:29:26 -0400
In-Reply-To: <878srv2gl6.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Wed, 14 Aug 2019 21:33:09 -0700")
Message-ID: <85ftm2lcxl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16242
Cc: Glenn Morris <rgm@HIDDEN>, Arne Babenhauserheide <arne_bab@HIDDEN>,
 16242 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> Does anybody object to adding an --init-dir switch?  It would just
>>> basically set `user-emacs-directory'.
>>
>> See https://debbugs.gnu.org/15539
>
> I see.  So the general consensus there seemed to be that this could add
> some possible maintenance complexity, and that there wasn't really a use
> case presented.
>
> This report does add a use case.

Furthermore, we're currently looking at setting user-emacs-directory
according to XDG in master ([1] or [2]), so I think we've accepted the
maintenance complexity this might bring anyway.

[1]: https://lists.gnu.org/archive/html/emacs-devel/2019-06/msg00154.html
[2]: https://lists.gnu.org/archive/html/emacs-devel/2019-07/msg00699.html






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16242; Package emacs. Full text available.

Message received at 16242 <at> debbugs.gnu.org:


Received: (at 16242) by debbugs.gnu.org; 15 Aug 2019 04:33:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 00:33:19 2019
Received: from localhost ([127.0.0.1]:50326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy7Ru-0000rl-TJ
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 00:33:19 -0400
Received: from quimby.gnus.org ([80.91.231.51]:34756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hy7Rs-0000rd-BB
 for 16242 <at> debbugs.gnu.org; Thu, 15 Aug 2019 00:33:16 -0400
Received: from 24-104-73-23-ip-static.hfc.comcastbusiness.net ([24.104.73.23]
 helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hy7Rn-0007nN-Es; Thu, 15 Aug 2019 06:33:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#16242: 24.3; wish: set init directory (.emacs.d) by
 commandline flag for easy custom environments
References: <87ppom45ge.wl%arne_bab@HIDDEN> <87k1bf6us6.fsf@HIDDEN>
 <uvwoffawp1.fsf@HIDDEN>
Date: Wed, 14 Aug 2019 21:33:09 -0700
In-Reply-To: <uvwoffawp1.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 15 Aug 2019 00:18:02 -0400")
Message-ID: <878srv2gl6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Glenn Morris <rgm@HIDDEN> writes: > Lars Ingebrigtsen wrote:
 > >> Does anybody object to adding an --init-dir switch? It would just >>
 basically set `user-emacs-directory'. > > See https://debbugs.gnu.org/15539
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16242
Cc: Arne Babenhauserheide <arne_bab@HIDDEN>, 16242 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> Lars Ingebrigtsen wrote:
>
>> Does anybody object to adding an --init-dir switch?  It would just
>> basically set `user-emacs-directory'.
>
> See https://debbugs.gnu.org/15539

I see.  So the general consensus there seemed to be that this could add
some possible maintenance complexity, and that there wasn't really a use
case presented.

This report does add a use case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16242; Package emacs. Full text available.

Message received at 16242 <at> debbugs.gnu.org:


Received: (at 16242) by debbugs.gnu.org; 15 Aug 2019 04:18:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 00:18:11 2019
Received: from localhost ([127.0.0.1]:50297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy7DH-0006n1-8N
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 00:18:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1hy7DF-0006mo-9A
 for 16242 <at> debbugs.gnu.org; Thu, 15 Aug 2019 00:18:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40946)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1hy7DA-0004Rm-10; Thu, 15 Aug 2019 00:18:04 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1hy7D8-0005TF-Bg; Thu, 15 Aug 2019 00:18:02 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16242: 24.3;
 wish: set init directory (.emacs.d) by commandline flag for easy
 custom environments
References: <87ppom45ge.wl%arne_bab@HIDDEN> <87k1bf6us6.fsf@HIDDEN>
X-Spook: ASLET Taiwan strategic E. Coli White Water FARC MD5 AVIP
X-Ran: %t4ubQKRZ#11A[M:4~[!Q0rvU]=WT8,U]fPmJ!L5;$;w(#n4Ujf%F[\Tg}9C"L,y#mbA|'
X-Hue: cyan
X-Attribution: GM
Date: Thu, 15 Aug 2019 00:18:02 -0400
In-Reply-To: <87k1bf6us6.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Wed, 14 Aug 2019 19:12:57 -0700")
Message-ID: <uvwoffawp1.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16242
Cc: Arne Babenhauserheide <arne_bab@HIDDEN>, 16242 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen wrote:

> Does anybody object to adding an --init-dir switch?  It would just
> basically set `user-emacs-directory'.

See https://debbugs.gnu.org/15539




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16242; Package emacs. Full text available.

Message received at 16242 <at> debbugs.gnu.org:


Received: (at 16242) by debbugs.gnu.org; 15 Aug 2019 02:13:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 22:13:05 2019
Received: from localhost ([127.0.0.1]:50112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy5GD-0003d1-9W
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 22:13:05 -0400
Received: from quimby.gnus.org ([80.91.231.51]:60888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hy5GC-0003cu-BM
 for 16242 <at> debbugs.gnu.org; Wed, 14 Aug 2019 22:13:04 -0400
Received: from 24-104-73-23-ip-static.hfc.comcastbusiness.net ([24.104.73.23]
 helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hy5G7-0006fB-CH; Thu, 15 Aug 2019 04:13:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Arne Babenhauserheide <arne_bab@HIDDEN>
Subject: Re: bug#16242: 24.3; wish: set init directory (.emacs.d) by
 commandline flag for easy custom environments
References: <87ppom45ge.wl%arne_bab@HIDDEN>
Date: Wed, 14 Aug 2019 19:12:57 -0700
In-Reply-To: <87ppom45ge.wl%arne_bab@HIDDEN> (Arne Babenhauserheide's message
 of "Tue, 24 Dec 2013 16:46:41 +0100")
Message-ID: <87k1bf6us6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Arne Babenhauserheide <arne_bab@HIDDEN> writes: > There are
 nowadays quite a few customized Emacs environments (like > prelude,
 emacs-for-python, 
 elpy, and so forth), and testing them > quickly can be quite a challenge,
 because they need to be inte [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16242
Cc: 16242 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Arne Babenhauserheide <arne_bab@HIDDEN> writes:

> There are nowadays quite a few customized Emacs environments (like
> prelude, emacs-for-python, elpy, and so forth), and testing them
> quickly can be quite a challenge, because they need to be intergrated
> with the local customizations.
>
> To ease that, it would be nice, if I could simply set the directory to
> use for my init with a commandline flag.
>
> This would make it possible to specialize my local emacs in several
> different ways - and to quickly show not-yet-emacs-users how emacs
> would work for their task: 
>
>     emacs --init-dir ~/emacs-init/python-ide # edit python

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

I think this sounds like a reasonable request, and I was surprised that
this doesn't exist yet.

You can achieve something like this with, for instance,

HOME=/tmp/foo emacs ...

or with --eval, but neither seem very logical.

Does anybody object to adding an --init-dir switch?  It would just
basically set `user-emacs-directory'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16242; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2013 15:47:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 24 10:47:09 2013
Received: from localhost ([127.0.0.1]:39223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvUCI-0003rh-Lb
	for submit <at> debbugs.gnu.org; Tue, 24 Dec 2013 10:47:09 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58006)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arne_bab@HIDDEN>) id 1VvUCE-0003rQ-JK
 for submit <at> debbugs.gnu.org; Tue, 24 Dec 2013 10:47:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VvUC8-00058T-Ch
 for submit <at> debbugs.gnu.org; Tue, 24 Dec 2013 10:47:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54440)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VvUC8-00058P-8t
 for submit <at> debbugs.gnu.org; Tue, 24 Dec 2013 10:46:56 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59704)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VvUC2-0005Np-Hm
 for bug-gnu-emacs@HIDDEN; Tue, 24 Dec 2013 10:46:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VvUBx-00057J-4V
 for bug-gnu-emacs@HIDDEN; Tue, 24 Dec 2013 10:46:50 -0500
Received: from mout.web.de ([212.227.17.12]:55174)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VvUBw-00057E-Mu
 for bug-gnu-emacs@HIDDEN; Tue, 24 Dec 2013 10:46:45 -0500
Received: from fluss.draketo.de ([212.255.235.37]) by smtp.web.de (mrweb004)
 with ESMTPA (Nemesis) id 0MH2Fm-1Vip0K13D8-00Dp95 for
 <bug-gnu-emacs@HIDDEN>; Tue, 24 Dec 2013 16:46:42 +0100
Date: Tue, 24 Dec 2013 16:46:41 +0100
Message-ID: <87ppom45ge.wl%arne_bab@HIDDEN>
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; wish: set init directory (.emacs.d) by commandline flag for easy
 custom environments
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka)
 FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.8 Emacs/24.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:kjVGJ9Wx8gSSN+wOpKGpNBIfkGPwE86W4SDe+lisQyvmvQhrSO0
 MyJ9dyfgwjemAR/SUKy3V2vTd5KYDWL2StHqkzQIKHv91ArZ7Uo+LCxKwaA1qgyPXyHv+9j
 3VznL2IE6antrls6J93LyUifhxyNu6PO/LWgxit5a/cefJlEkguPNb+vUSrGcGoC1rc61TN
 B32binuYjadikvUUuAf1A==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: arne_bab@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

Dear Emacs Hackers,

There are nowadays quite a few customized Emacs environments (like
prelude, emacs-for-python, elpy, and so forth), and testing them
quickly can be quite a challenge, because they need to be intergrated
with the local customizations.

To ease that, it would be nice, if I could simply set the directory to
use for my init with a commandline flag.

This would make it possible to specialize my local emacs in several
different ways - and to quickly show not-yet-emacs-users how emacs
would work for their task:=20

    emacs --init-dir ~/emacs-init/python-ide # edit python

Best wishes and Happy Hacking Holiday! =E2=98=BA
Arne


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.8.2)
 of 2013-10-14 on fluss
Windowing system distributor `The X.Org Foundation', version 11.0.11403000
System Description:	Gentoo Base System release 2.2

Configured using:
 `configure '--prefix=3D/usr' '--build=3Dx86_64-pc-linux-gnu'
 '--host=3Dx86_64-pc-linux-gnu' '--mandir=3D/usr/share/man'
 '--infodir=3D/usr/share/info' '--datadir=3D/usr/share'
 '--sysconfdir=3D/etc' '--localstatedir=3D/var/lib' '--libdir=3D/usr/lib64'
 '--disable-silent-rules' '--disable-dependency-tracking'
 '--program-suffix=3D-emacs-24' '--infodir=3D/usr/share/info/emacs-24'
 '--enable-locallisppath=3D/etc/emacs:/usr/share/emacs/site-lisp'
 '--with-crt-dir=3D/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../lib64'
 '--with-gameuser=3Dgames' '--without-compress-info' '--without-hesiod'
 '--without-kerberos' '--without-kerberos5' '--with-gpm' '--with-dbus'
 '--with-gnutls' '--without-xml2' '--without-selinux'
 '--without-wide-int' '--with-sound' '--with-x' '--without-ns'
 '--without-gconf' '--without-gsettings' '--with-toolkit-scroll-bars'
 '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff'
 '--with-xpm' '--without-imagemagick' '--with-xft' '--with-libotf'
 '--with-m17n-flt' '--with-x-toolkit=3Dgtk3'
 'GENTOO_PACKAGE=3Dapp-editors/emacs-24.3-r2'
 'build_alias=3Dx86_64-pc-linux-gnu' 'host_alias=3Dx86_64-pc-linux-gnu'
 'CFLAGS=3D-march=3Dnative -O2 -pipe' 'LDFLAGS=3D-Wl,-O1 -Wl,--as-needed'
 'CPPFLAGS=3D''

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8
  default enable-multibyte-characters: t

Major mode: Folder

Minor modes in effect:
  global-auto-revert-mode: t
  global-ethan-wspace-mode: t
  real-global-auto-complete-mode: t
  nyan-mode: t
  global-rudel-minor-mode: t
  savehist-mode: t
  recentf-mode: t
  kde-default-keys-minor-mode: t
  shell-dirtrack-mode: t
  global-auto-complete-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  transient-mark-mode: t

Recent input:
l e a s e SPC o f SPC t h e SPC s o u r c e s SPC a=20
l o n g s i d e SPC t h e SPC M-q p u b l i s h e d=20
SPC f o r m M-q <C-left> <left> <backspace> <backspace>=20
i n g <end> . <up> <up> <up> <C-right> <C-right> <C-backspace>=20
b e SPC d e l i g h t e d SPC t o SPC s e e SPC i t=20
M-d SPC u n d e r M-q <down> <down> <down> SPC <backspace>=20
<up> <up> <up> <down> <down> <down> <up> <up> <C-right>=20
<C-right> <C-right> <C-right> <C-right> <C-right> <down>=20
<down> SPC <backspace> <backspace> , SPC b u t SPC=20
a n y SPC l i c e n s e SPC i n f o r m a t i o n SPC=20
i s SPC b e t t e r SPC t h a n SPC n o n e . M-q <down>=20
<down> <up> <up> <up> <down> <down> <down> <down> <down>=20
<return> b w <up> C-e SPC a n d SPC m a n y SPC t h=20
a n k s SPC f o r SPC y o u r SPC A d v e n t u r e=20
s ! <right> <down> <down> <up> <up> <up> <up> <up>=20
<up> <up> <up> <down> <down> <down> <down> <down> <down>=20
<down> <down> <down> <down> C-c C-c y M-x w l - t o=20
g g <tab> <return> y M-x w l <return> y f i r n i a=20
<kp-1> <kp-5> <kp-7> <return> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <down-mouse-1>=20
<mouse-1> <help-echo> M-x r e p o r t - e m a c s -=20
b u <tab> <return>

Recent messages:
Blocking call to accept-process-output with quit inhibited!! [11 times]
Sending (1/1)...done
1 message(s) are sent.
Checking ".sent-mail"
Checking ".~/.local/share/mail/mgl_spam"
Checking ".~/.local/share/mail/to.arne_bab"
Checking "..gruppiert.directory/.inbox.directory/Freunde"
Checking ".drafts"
Checking ".outbox"
Checking "Desktop" is done

Load-path shadows:
~/.emacs.d/libs/bbdb-vcard/vcard hides ~/.emacs.d/libs/vcard
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-history hides /usr/share/e=
macs/site-lisp/emms/emms-history
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-browser hides /usr/share/e=
macs/site-lisp/emms/emms-browser
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-player-simple hides /usr/s=
hare/emacs/site-lisp/emms/emms-player-simple
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-i18n hides /usr/share/emac=
s/site-lisp/emms/emms-i18n
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-metaplaylist-mode hides /u=
sr/share/emacs/site-lisp/emms/emms-metaplaylist-mode
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-player-xine hides /usr/sha=
re/emacs/site-lisp/emms/emms-player-xine
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-info-ogginfo hides /usr/sh=
are/emacs/site-lisp/emms/emms-info-ogginfo
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-score hides /usr/share/ema=
cs/site-lisp/emms/emms-score
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-maint hides /usr/share/ema=
cs/site-lisp/emms/emms-maint
/home/arne/.emacs.d/elpa/emms-20131016.1232/later-do hides /usr/share/emacs=
/site-lisp/emms/later-do
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-cache hides /usr/share/ema=
cs/site-lisp/emms/emms-cache
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-playing-time hides /usr/sh=
are/emacs/site-lisp/emms/emms-playing-time
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-url hides /usr/share/emacs=
/site-lisp/emms/emms-url
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-stream-info hides /usr/sha=
re/emacs/site-lisp/emms/emms-stream-info
/home/arne/.emacs.d/elpa/emms-20131016.1232/jack hides /usr/share/emacs/sit=
e-lisp/emms/jack
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-playlist-mode hides /usr/s=
hare/emacs/site-lisp/emms/emms-playlist-mode
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-bookmarks hides /usr/share=
/emacs/site-lisp/emms/emms-bookmarks
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-player-mplayer hides /usr/=
share/emacs/site-lisp/emms/emms-player-mplayer
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-volume-amixer hides /usr/s=
hare/emacs/site-lisp/emms/emms-volume-amixer
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-mode-line-icon hides /usr/=
share/emacs/site-lisp/emms/emms-mode-line-icon
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-mode-line hides /usr/share=
/emacs/site-lisp/emms/emms-mode-line
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-player-mpg321-remote hides=
 /usr/share/emacs/site-lisp/emms/emms-player-mpg321-remote
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-info hides /usr/share/emac=
s/site-lisp/emms/emms-info
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-source-file hides /usr/sha=
re/emacs/site-lisp/emms/emms-source-file
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-compat hides /usr/share/em=
acs/site-lisp/emms/emms-compat
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-source-playlist hides /usr=
/share/emacs/site-lisp/emms/emms-source-playlist
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-setup hides /usr/share/ema=
cs/site-lisp/emms/emms-setup
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-info-libtag hides /usr/sha=
re/emacs/site-lisp/emms/emms-info-libtag
/home/arne/.emacs.d/elpa/emms-20131016.1232/tq hides /usr/share/emacs/site-=
lisp/emms/tq
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-tag-editor hides /usr/shar=
e/emacs/site-lisp/emms/emms-tag-editor
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-info-mp3info hides /usr/sh=
are/emacs/site-lisp/emms/emms-info-mp3info
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-last-played hides /usr/sha=
re/emacs/site-lisp/emms/emms-last-played
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-player-mpd hides /usr/shar=
e/emacs/site-lisp/emms/emms-player-mpd
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-volume hides /usr/share/em=
acs/site-lisp/emms/emms-volume
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-mark hides /usr/share/emac=
s/site-lisp/emms/emms-mark
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-playlist-sort hides /usr/s=
hare/emacs/site-lisp/emms/emms-playlist-sort
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-lyrics hides /usr/share/em=
acs/site-lisp/emms/emms-lyrics
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms hides /usr/share/emacs/sit=
e-lisp/emms/emms
/home/arne/.emacs.d/elpa/emms-20131016.1232/emms-streams hides /usr/share/e=
macs/site-lisp/emms/emms-streams
/usr/share/emacs/site-lisp/lua-mode/lua-mode hides /usr/share/emacs/site-li=
sp/monotone/lua-mode
/usr/share/emacs/site-lisp/mu/mu4e-actions hides /usr/share/emacs/site-lisp=
/mu4e/mu4e-actions
/usr/share/emacs/site-lisp/mu/mu4e-view hides /usr/share/emacs/site-lisp/mu=
4e/mu4e-view
/usr/share/emacs/site-lisp/mu/mu4e-proc hides /usr/share/emacs/site-lisp/mu=
4e/mu4e-proc
/usr/share/emacs/site-lisp/mu/mu4e hides /usr/share/emacs/site-lisp/mu4e/mu=
4e
/usr/share/emacs/site-lisp/mu/mu4e-vars hides /usr/share/emacs/site-lisp/mu=
4e/mu4e-vars
/usr/share/emacs/site-lisp/mu/mu4e-utils hides /usr/share/emacs/site-lisp/m=
u4e/mu4e-utils
/usr/share/emacs/site-lisp/mu/mu4e-about hides /usr/share/emacs/site-lisp/m=
u4e/mu4e-about
/usr/share/emacs/site-lisp/mu/org-mu4e hides /usr/share/emacs/site-lisp/mu4=
e/org-mu4e
/usr/share/emacs/site-lisp/mu/mu4e-compose hides /usr/share/emacs/site-lisp=
/mu4e/mu4e-compose
/usr/share/emacs/site-lisp/mu/mu4e-main hides /usr/share/emacs/site-lisp/mu=
4e/mu4e-main
/usr/share/emacs/site-lisp/mu/mu4e-headers hides /usr/share/emacs/site-lisp=
/mu4e/mu4e-headers
/usr/share/emacs/site-lisp/mu/mu4e-mark hides /usr/share/emacs/site-lisp/mu=
4e/mu4e-mark
/usr/share/emacs/site-lisp/mu/mu4e-message hides /usr/share/emacs/site-lisp=
/mu4e/mu4e-message
/usr/share/emacs/site-lisp/mu/mu4e-speedbar hides /usr/share/emacs/site-lis=
p/mu4e/mu4e-speedbar
/usr/share/emacs/site-lisp/mu/mu4e-meta hides /usr/share/emacs/site-lisp/mu=
4e/mu4e-meta
/usr/share/emacs/site-lisp/cedet/common/ezimage hides /usr/share/emacs/24.3=
/lisp/ezimage
/usr/share/emacs/site-lisp/flim/hex-util hides /usr/share/emacs/24.3/lisp/h=
ex-util
/usr/share/emacs/site-lisp/cedet/speedbar/speedbar hides /usr/share/emacs/2=
4.3/lisp/speedbar
/usr/share/emacs/site-lisp/cedet/speedbar/dframe hides /usr/share/emacs/24.=
3/lisp/dframe
/usr/share/emacs/site-lisp/cedet/speedbar/sb-image hides /usr/share/emacs/2=
4.3/lisp/sb-image
/usr/share/emacs/site-lisp/flim/md4 hides /usr/share/emacs/24.3/lisp/md4
/usr/share/emacs/site-lisp/remember/remember hides /usr/share/emacs/24.3/li=
sp/textmodes/remember
/usr/share/emacs/site-lisp/org-mode/org-archive hides /usr/share/emacs/24.3=
/lisp/org/org-archive
/usr/share/emacs/site-lisp/org-mode/ob-clojure hides /usr/share/emacs/24.3/=
lisp/org/ob-clojure
/usr/share/emacs/site-lisp/org-mode/ob-awk hides /usr/share/emacs/24.3/lisp=
/org/ob-awk
/usr/share/emacs/site-lisp/org-mode/ob-ocaml hides /usr/share/emacs/24.3/li=
sp/org/ob-ocaml
/usr/share/emacs/site-lisp/org-mode/contrib/org-vm hides /usr/share/emacs/2=
4.3/lisp/org/org-vm
/usr/share/emacs/site-lisp/org-mode/ob-matlab hides /usr/share/emacs/24.3/l=
isp/org/ob-matlab
/usr/share/emacs/site-lisp/org-mode/contrib/org-mew hides /usr/share/emacs/=
24.3/lisp/org/org-mew
/usr/share/emacs/site-lisp/org-mode/ob-screen hides /usr/share/emacs/24.3/l=
isp/org/ob-screen
/usr/share/emacs/site-lisp/org-mode/org-info hides /usr/share/emacs/24.3/li=
sp/org/org-info
/usr/share/emacs/site-lisp/org-mode/org-src hides /usr/share/emacs/24.3/lis=
p/org/org-src
/usr/share/emacs/site-lisp/org-mode/ob-sqlite hides /usr/share/emacs/24.3/l=
isp/org/ob-sqlite
/usr/share/emacs/site-lisp/org-mode/ob-lilypond hides /usr/share/emacs/24.3=
/lisp/org/ob-lilypond
/usr/share/emacs/site-lisp/org-mode/contrib/org-wl hides /usr/share/emacs/2=
4.3/lisp/org/org-wl
/usr/share/emacs/site-lisp/org-mode/ob-scheme hides /usr/share/emacs/24.3/l=
isp/org/ob-scheme
/usr/share/emacs/site-lisp/org-mode/ob-tangle hides /usr/share/emacs/24.3/l=
isp/org/ob-tangle
/usr/share/emacs/site-lisp/org-mode/ob-latex hides /usr/share/emacs/24.3/li=
sp/org/ob-latex
/usr/share/emacs/site-lisp/org-mode/org-entities hides /usr/share/emacs/24.=
3/lisp/org/org-entities
/usr/share/emacs/site-lisp/org-mode/ob-C hides /usr/share/emacs/24.3/lisp/o=
rg/ob-C
/usr/share/emacs/site-lisp/org-mode/ob-fortran hides /usr/share/emacs/24.3/=
lisp/org/ob-fortran
/usr/share/emacs/site-lisp/org-mode/ob-shen hides /usr/share/emacs/24.3/lis=
p/org/ob-shen
/usr/share/emacs/site-lisp/org-mode/ob-css hides /usr/share/emacs/24.3/lisp=
/org/ob-css
/usr/share/emacs/site-lisp/org-mode/ob-octave hides /usr/share/emacs/24.3/l=
isp/org/ob-octave
/usr/share/emacs/site-lisp/org-mode/org-id hides /usr/share/emacs/24.3/lisp=
/org/org-id
/usr/share/emacs/site-lisp/org-mode/org-irc hides /usr/share/emacs/24.3/lis=
p/org/org-irc
/usr/share/emacs/site-lisp/org-mode/org-feed hides /usr/share/emacs/24.3/li=
sp/org/org-feed
/usr/share/emacs/site-lisp/org-mode/ob-gnuplot hides /usr/share/emacs/24.3/=
lisp/org/ob-gnuplot
/usr/share/emacs/site-lisp/org-mode/ob-asymptote hides /usr/share/emacs/24.=
3/lisp/org/ob-asymptote
/usr/share/emacs/site-lisp/org-mode/org-capture hides /usr/share/emacs/24.3=
/lisp/org/org-capture
/usr/share/emacs/site-lisp/org-mode/org-compat hides /usr/share/emacs/24.3/=
lisp/org/org-compat
/usr/share/emacs/site-lisp/org-mode/ob-emacs-lisp hides /usr/share/emacs/24=
.3/lisp/org/ob-emacs-lisp
/usr/share/emacs/site-lisp/org-mode/org-timer hides /usr/share/emacs/24.3/l=
isp/org/org-timer
/usr/share/emacs/site-lisp/org-mode/ob-plantuml hides /usr/share/emacs/24.3=
/lisp/org/ob-plantuml
/usr/share/emacs/site-lisp/org-mode/org-datetree hides /usr/share/emacs/24.=
3/lisp/org/org-datetree
/usr/share/emacs/site-lisp/org-mode/ob-ditaa hides /usr/share/emacs/24.3/li=
sp/org/ob-ditaa
/usr/share/emacs/site-lisp/org-mode/org-agenda hides /usr/share/emacs/24.3/=
lisp/org/org-agenda
/usr/share/emacs/site-lisp/org-mode/ob-comint hides /usr/share/emacs/24.3/l=
isp/org/ob-comint
/usr/share/emacs/site-lisp/org-mode/org-mobile hides /usr/share/emacs/24.3/=
lisp/org/org-mobile
/usr/share/emacs/site-lisp/org-mode/org hides /usr/share/emacs/24.3/lisp/or=
g/org
/usr/share/emacs/site-lisp/org-mode/ob-sh hides /usr/share/emacs/24.3/lisp/=
org/ob-sh
/usr/share/emacs/site-lisp/org-mode/org-faces hides /usr/share/emacs/24.3/l=
isp/org/org-faces
/usr/share/emacs/site-lisp/org-mode/org-clock hides /usr/share/emacs/24.3/l=
isp/org/org-clock
/usr/share/emacs/site-lisp/org-mode/org-colview hides /usr/share/emacs/24.3=
/lisp/org/org-colview
/usr/share/emacs/site-lisp/org-mode/ob-io hides /usr/share/emacs/24.3/lisp/=
org/ob-io
/usr/share/emacs/site-lisp/org-mode/org-eshell hides /usr/share/emacs/24.3/=
lisp/org/org-eshell
/usr/share/emacs/site-lisp/org-mode/org-bbdb hides /usr/share/emacs/24.3/li=
sp/org/org-bbdb
/usr/share/emacs/site-lisp/org-mode/org-element hides /usr/share/emacs/24.3=
/lisp/org/org-element
/usr/share/emacs/site-lisp/org-mode/ob-perl hides /usr/share/emacs/24.3/lis=
p/org/ob-perl
/usr/share/emacs/site-lisp/org-mode/org-inlinetask hides /usr/share/emacs/2=
4.3/lisp/org/org-inlinetask
/usr/share/emacs/site-lisp/org-mode/ob-haskell hides /usr/share/emacs/24.3/=
lisp/org/ob-haskell
/usr/share/emacs/site-lisp/org-mode/ob-eval hides /usr/share/emacs/24.3/lis=
p/org/ob-eval
/usr/share/emacs/site-lisp/org-mode/org-mouse hides /usr/share/emacs/24.3/l=
isp/org/org-mouse
/usr/share/emacs/site-lisp/org-mode/ob hides /usr/share/emacs/24.3/lisp/org=
/ob
/usr/share/emacs/site-lisp/org-mode/org-docview hides /usr/share/emacs/24.3=
/lisp/org/org-docview
/usr/share/emacs/site-lisp/org-mode/ob-dot hides /usr/share/emacs/24.3/lisp=
/org/ob-dot
/usr/share/emacs/site-lisp/org-mode/ob-calc hides /usr/share/emacs/24.3/lis=
p/org/ob-calc
/usr/share/emacs/site-lisp/org-mode/ob-python hides /usr/share/emacs/24.3/l=
isp/org/ob-python
/usr/share/emacs/site-lisp/org-mode/ob-java hides /usr/share/emacs/24.3/lis=
p/org/ob-java
/usr/share/emacs/site-lisp/org-mode/ob-lisp hides /usr/share/emacs/24.3/lis=
p/org/ob-lisp
/usr/share/emacs/site-lisp/org-mode/org-attach hides /usr/share/emacs/24.3/=
lisp/org/org-attach
/usr/share/emacs/site-lisp/org-mode/org-pcomplete hides /usr/share/emacs/24=
.3/lisp/org/org-pcomplete
/usr/share/emacs/site-lisp/org-mode/org-crypt hides /usr/share/emacs/24.3/l=
isp/org/org-crypt
/usr/share/emacs/site-lisp/org-mode/ob-org hides /usr/share/emacs/24.3/lisp=
/org/ob-org
/usr/share/emacs/site-lisp/org-mode/org-footnote hides /usr/share/emacs/24.=
3/lisp/org/org-footnote
/usr/share/emacs/site-lisp/org-mode/ob-R hides /usr/share/emacs/24.3/lisp/o=
rg/ob-R
/usr/share/emacs/site-lisp/org-mode/org-indent hides /usr/share/emacs/24.3/=
lisp/org/org-indent
/usr/share/emacs/site-lisp/org-mode/org-gnus hides /usr/share/emacs/24.3/li=
sp/org/org-gnus
/usr/share/emacs/site-lisp/org-mode/org-mhe hides /usr/share/emacs/24.3/lis=
p/org/org-mhe
/usr/share/emacs/site-lisp/org-mode/ob-sql hides /usr/share/emacs/24.3/lisp=
/org/ob-sql
/usr/share/emacs/site-lisp/org-mode/org-version hides /usr/share/emacs/24.3=
/lisp/org/org-version
/usr/share/emacs/site-lisp/org-mode/ob-ruby hides /usr/share/emacs/24.3/lis=
p/org/ob-ruby
/usr/share/emacs/site-lisp/org-mode/ob-maxima hides /usr/share/emacs/24.3/l=
isp/org/ob-maxima
/usr/share/emacs/site-lisp/org-mode/ob-sass hides /usr/share/emacs/24.3/lis=
p/org/ob-sass
/usr/share/emacs/site-lisp/org-mode/ob-exp hides /usr/share/emacs/24.3/lisp=
/org/ob-exp
/usr/share/emacs/site-lisp/org-mode/org-protocol hides /usr/share/emacs/24.=
3/lisp/org/org-protocol
/usr/share/emacs/site-lisp/org-mode/ob-picolisp hides /usr/share/emacs/24.3=
/lisp/org/ob-picolisp
/usr/share/emacs/site-lisp/org-mode/org-macs hides /usr/share/emacs/24.3/li=
sp/org/org-macs
/usr/share/emacs/site-lisp/org-mode/ob-ledger hides /usr/share/emacs/24.3/l=
isp/org/ob-ledger
/usr/share/emacs/site-lisp/org-mode/org-table hides /usr/share/emacs/24.3/l=
isp/org/org-table
/usr/share/emacs/site-lisp/org-mode/ob-keys hides /usr/share/emacs/24.3/lis=
p/org/ob-keys
/usr/share/emacs/site-lisp/org-mode/ob-lob hides /usr/share/emacs/24.3/lisp=
/org/ob-lob
/usr/share/emacs/site-lisp/org-mode/ob-table hides /usr/share/emacs/24.3/li=
sp/org/ob-table
/usr/share/emacs/site-lisp/org-mode/org-ctags hides /usr/share/emacs/24.3/l=
isp/org/org-ctags
/usr/share/emacs/site-lisp/org-mode/ob-js hides /usr/share/emacs/24.3/lisp/=
org/ob-js
/usr/share/emacs/site-lisp/org-mode/org-rmail hides /usr/share/emacs/24.3/l=
isp/org/org-rmail
/usr/share/emacs/site-lisp/org-mode/org-bibtex hides /usr/share/emacs/24.3/=
lisp/org/org-bibtex
/usr/share/emacs/site-lisp/org-mode/ob-scala hides /usr/share/emacs/24.3/li=
sp/org/ob-scala
/usr/share/emacs/site-lisp/org-mode/org-loaddefs hides /usr/share/emacs/24.=
3/lisp/org/org-loaddefs
/usr/share/emacs/site-lisp/org-mode/org-w3m hides /usr/share/emacs/24.3/lis=
p/org/org-w3m
/usr/share/emacs/site-lisp/org-mode/ob-mscgen hides /usr/share/emacs/24.3/l=
isp/org/ob-mscgen
/usr/share/emacs/site-lisp/org-mode/ob-ref hides /usr/share/emacs/24.3/lisp=
/org/ob-ref
/usr/share/emacs/site-lisp/org-mode/org-list hides /usr/share/emacs/24.3/li=
sp/org/org-list
/usr/share/emacs/site-lisp/org-mode/org-habit hides /usr/share/emacs/24.3/l=
isp/org/org-habit
/usr/share/emacs/site-lisp/org-mode/org-plot hides /usr/share/emacs/24.3/li=
sp/org/org-plot
/usr/share/emacs/site-lisp/org-mode/org-install hides /usr/share/emacs/24.3=
/lisp/org/org-install
/usr/share/emacs/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/24.3/lisp/=
net/sasl-ntlm
/usr/share/emacs/site-lisp/flim/sasl-cram hides /usr/share/emacs/24.3/lisp/=
net/sasl-cram
/usr/share/emacs/site-lisp/flim/ntlm hides /usr/share/emacs/24.3/lisp/net/n=
tlm
/usr/share/emacs/site-lisp/flim/sasl hides /usr/share/emacs/24.3/lisp/net/s=
asl
/usr/share/emacs/site-lisp/flim/sasl-digest hides /usr/share/emacs/24.3/lis=
p/net/sasl-digest
/usr/share/emacs/site-lisp/flim/hmac-md5 hides /usr/share/emacs/24.3/lisp/n=
et/hmac-md5
/usr/share/emacs/site-lisp/flim/hmac-def hides /usr/share/emacs/24.3/lisp/n=
et/hmac-def
/usr/share/emacs/site-lisp/cjk-latex/thai-word hides /usr/share/emacs/24.3/=
lisp/language/thai-word
~/.emacs.d/private/gnus hides /usr/share/emacs/24.3/lisp/gnus/gnus
/usr/share/emacs/site-lisp/semi/smime hides /usr/share/emacs/24.3/lisp/gnus=
/smime
/usr/share/emacs/site-lisp/cedet/eieio/eieio-opt hides /usr/share/emacs/24.=
3/lisp/emacs-lisp/eieio-opt
/usr/share/emacs/site-lisp/cedet/eieio/eieio-custom hides /usr/share/emacs/=
24.3/lisp/emacs-lisp/eieio-custom
/usr/share/emacs/site-lisp/cedet/eieio/eieio-datadebug hides /usr/share/ema=
cs/24.3/lisp/emacs-lisp/eieio-datadebug
/usr/share/emacs/site-lisp/cedet/eieio/eieio hides /usr/share/emacs/24.3/li=
sp/emacs-lisp/eieio
/home/arne/.emacs.d/elpa/emms-20131016.1232/tq hides /usr/share/emacs/24.3/=
lisp/emacs-lisp/tq
/usr/share/emacs/site-lisp/cedet/eieio/eieio-speedbar hides /usr/share/emac=
s/24.3/lisp/emacs-lisp/eieio-speedbar
/usr/share/emacs/site-lisp/cedet/eieio/eieio-base hides /usr/share/emacs/24=
.3/lisp/emacs-lisp/eieio-base
/usr/share/emacs/site-lisp/cedet/eieio/chart hides /usr/share/emacs/24.3/li=
sp/emacs-lisp/chart
/usr/share/emacs/site-lisp/cedet/common/pulse hides /usr/share/emacs/24.3/l=
isp/cedet/pulse
/usr/share/emacs/site-lisp/cedet/common/cedet-global hides /usr/share/emacs=
/24.3/lisp/cedet/cedet-global
/usr/share/emacs/site-lisp/cedet/srecode/srecode hides /usr/share/emacs/24.=
3/lisp/cedet/srecode
/usr/share/emacs/site-lisp/cedet/common/cedet-files hides /usr/share/emacs/=
24.3/lisp/cedet/cedet-files
/usr/share/emacs/site-lisp/cedet/common/data-debug hides /usr/share/emacs/2=
4.3/lisp/cedet/data-debug
/usr/share/emacs/site-lisp/cedet/common/cedet-idutils hides /usr/share/emac=
s/24.3/lisp/cedet/cedet-idutils
/usr/share/emacs/site-lisp/cedet/ede/ede hides /usr/share/emacs/24.3/lisp/c=
edet/ede
/usr/share/emacs/site-lisp/cedet/common/mode-local hides /usr/share/emacs/2=
4.3/lisp/cedet/mode-local
/usr/share/emacs/site-lisp/cedet/common/cedet hides /usr/share/emacs/24.3/l=
isp/cedet/cedet
/usr/share/emacs/site-lisp/cedet/semantic/semantic hides /usr/share/emacs/2=
4.3/lisp/cedet/semantic
/usr/share/emacs/site-lisp/cedet/common/cedet-cscope hides /usr/share/emacs=
/24.3/lisp/cedet/cedet-cscope
/usr/share/emacs/site-lisp/cedet/common/inversion hides /usr/share/emacs/24=
.3/lisp/cedet/inversion
/usr/share/emacs/site-lisp/semi/pgg-pgp5 hides /usr/share/emacs/24.3/lisp/o=
bsolete/pgg-pgp5
/usr/share/emacs/site-lisp/semi/pgg-parse hides /usr/share/emacs/24.3/lisp/=
obsolete/pgg-parse
/usr/share/emacs/site-lisp/semi/pgg-pgp hides /usr/share/emacs/24.3/lisp/ob=
solete/pgg-pgp
/usr/share/emacs/site-lisp/semi/pgg-gpg hides /usr/share/emacs/24.3/lisp/ob=
solete/pgg-gpg
/usr/share/emacs/site-lisp/semi/pgg-def hides /usr/share/emacs/24.3/lisp/ob=
solete/pgg-def
/usr/share/emacs/site-lisp/semi/pgg hides /usr/share/emacs/24.3/lisp/obsole=
te/pgg
/usr/share/emacs/24.3/lisp/gnus/utf7 hides /home/arne/.emacs.d/libs/wanderl=
ust/elmo/utf7
/usr/share/emacs/24.3/lisp/mail/rfc2368 hides /home/arne/.emacs.d/libs/wand=
erlust/utils/rfc2368

Features:
(shadow emacsbug elmo-dop smtp sasl sasl-anonymous sasl-login
sasl-plain mel-q-ccl wl-mime mime-play filename mime-edit pgg-parse
pccl pccl-20 pgg-def signature modb-standard elmo-maildir elmo-map
markdown-mode tabify reftex-parse autorevert reftex-dcr reftex-auc
outline-magic org-rmail org-mhe org-irc org-info org-gnus org-docview
org-bibtex org-bbdb org-w3m org-capture cus-edit server semantic-el
semantic-bovine bovine-debug semantic-debug ispell activate-babenv
eimp font-lock-tm5rc generic activate-wanderlust bbdb-wl bbdb-hooks
mailcrypt wl-demo wl-draft eword-encode wl-template wl-news wl-address
wl-thread wl-action wl-summary wl-refile wl-message elmo-mime
mmelmo-buffer mmelmo-imap mime-view mime-conf calist mmimap mime-parse
mmbuffer mmgeneric wl-highlight elmo-multi wl-folder wl wl-e21 wl-util
elmo-flag elmo-localdir wl-vars wl-version elmo elmo-signal elmo-msgdb
modb modb-generic modb-entity mime elmo-util emu invisible inv-23 poem
poem-e20 poem-e20_3 utf7 eword-decode mel mime-def std11 mcharset
mcs-20 mcs-e20 pces pces-e20 pces-20 broken pcustom elmo-date
elmo-vars elmo-version luna activate-private-data private-basic
private-publish private-wanderlust w3m-search w3m w3m-hist w3m-fb
bookmark-w3m w3m-ems w3m-ccl ccl w3m-favicon w3m-image w3m-proc
w3m-util apps bbdb-timed-notes bbdb-phone-book kanban fortran-tools
activate-python pydoc-info info-look sb-info info python-magic python
rx stenochords activate-kde-default-keybindings activate-darkroom wc
activate-identica identica-mode xml activate-german-spelling
activate-ethan-wspace ethan-wspace popup-kill-ring pos-tip
activate-auto-complete auto-complete-config activate-markdown
activate-latex-ide flymake compile namespace rainbow-delimiters ebib
bibtex xub-mode org-location-google-maps google-maps
google-maps-static google-maps-geocode google-maps-base json nyan-mode
semantic-m3 semantic-analyze-refs cedet-m3 semantic-mru-bookmark
semanticdb-mode semantic-idle eldoc senator which-func semantic-imenu
semantic-sb imenu ox-beamer org-latex org-export-latex org-beamer
org-exp org-exp-blocks org-agenda footnote ox-md ox-texinfo ox-rss
ox-latex ox-icalendar ox-html ox-ascii ox-publish ox org-element
activate-emms emms-cache emms-info-ogginfo emms-info-mp3info emms-info
later-do emms-playlist-mode emms-player-vlc emms-player-mplayer
emms-player-simple emms-source-playlist emms-source-file emms-setup
emms emms-compat htmlize typing rudel-mode rudel-display rudel
rudel-icons rudel-interactive rudel-compat rudel-hooks rudel-operators
rudel-overlay rudel-operations rudel-session-initiation rudel-util
rudel-errors rudel-loaddefs rudel-backend journal
org-custom-link-completion reftex reftex-vars reftex-cite
activate-quick-note remember-bbdb remember bbdb-vcard bbdb-com vcard
rainbow-text thingatpt babcore legalese savehist recentf tree-widget
epa-file fic-ext-mode key-chord control-lock goto-chg ob-sh shell
ob-scheme ob-python ob-org ob-gnuplot ob-dot ob-ditaa ob-R ob-C
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs org org-macro org-footnote org-pcomplete
pcomplete org-list org-faces org-entities noutline outline easy-mmode
org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table
ob-keys ob-exp ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs cal-menu calendar cal-loaddefs allout cups printing
ps-print ps-def lpr ido auto-complete edmacro kmacro popup
flymake-cursor finder-inf melpa parse-time network-stream starttls
url-http tls url-gw url-cache url-auth url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse url-vars mailcap ahg-autoloads deft-autoloads
emms-mark-ext-autoloads emms-autoloads f90-interface-browser-autoloads
legalese-autoloads melpa-autoloads rainbow-mode-autoloads
svg-clock-autoloads wisp-mode-autoloads clojure-mode-autoloads package
activate-base vc-hg bookmark pp saveplace uniquify paren time
cus-start cus-load site-gentoo mu4e mu4e-speedbar mu4e-main mu4e-view
epa epg epg-config browse-url comint ansi-color ring longlines
mu4e-headers mu4e-compose mu4e-actions rfc2368 smtpmail auth-source
gnus-util password-cache sendmail mu4e-mark mu4e-message html2text
mu4e-proc mu4e-utils doc-view jka-compr image-mode dired mu4e-about
mu4e-vars message idna format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader hl-line
mu4e-meta jde-autoload w3m-load ecb-autoloads mime-setup
mail-mime-setup alist semi-setup path-util poe pym static apel-ver
product semi-def preview-latex emms-auto cedet cedet-contrib-load
contrib-loaddefs cogre-load cogre-loaddefs speedbar-load
speedbar-loaddefs ede-load ede-loaddefs ede-speedbar ede-files ede
ede-base ede-auto eieio-speedbar semantic-ia-sb semantic-analyze
semantic-scope semantic-analyze-fcn semantic-sort semanticdb-javap
cedet-java semanticdb-el semanticdb-ref semantic-find semanticdb
semantic-ctxt semantic-format semantic-util-modes semantic-util
semantic semantic-lex semantic-tag-ls semantic-tag working fame
speedbar sb-image ezimage dframe easymenu time-date assoc eieio-custom
wid-edit ede-source eieio-base srecode-load srecode srecode-loaddefs
semantic-load semantic-fw semantic-loaddefs mode-local find-func
derived eieio-load eieio-loaddefs cedet-load cedet-compat
cedet-loaddefs eieio warnings advice help-fns advice-preload byte-opt
bytecomp byte-compile cconv cl-macs gv cl cl-lib inversion
bbdb-autoloads bbdb timezone tex-site auto-loads tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)




Acknowledgement sent to arne_bab@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16242; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.